Unit tammdc_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AMMDC_p;

function tammdc: String;

implementation

function tammdc: String;
var
N,NLA,NUA,NLB,NUB,_i :Integer;
C :Array [0..34] of Complex;
const
A :Array [0..19] of Complex = ( ( re:0.0; im:0.0 ),( re:0.0; im:0.0 ),( re:1.0; 
im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( 
re:0.0; im:0.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( 
re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( 
re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:1.0 ),( re:1.0; im:1.0 ),( re:0.0; im: 0.0 ) );
B :Array [0..19] of Complex = ( ( re:0.0; im:0.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( 
re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( 
re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:1.0 ),( re:1.0; im:1.0 ),( re:0.0; im:0.0 ),( 
re:1.0; im:1.0 ),( re:1.0; im:1.0 ),( re:1.0; 
im:1.0 ),( re:0.0; im:0.0 ),( re:0.0; im: 0.0 ) );
begin
Result := '';  {   }
N := 5;
NLA := 2;
NUA := 1;
NLB := 1;
NUB := 2;
AMMDC(A,N,NLA,NUA,B,NLB,NUB,C);
Result := Result + #$0D#$0A;
for _i:=0 to 34 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[C[_i].re,C[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tammdc',Result);  {     tammdc.res }
exit;
end;

end.
